Package com.documentum.fc.client

# Interface IDfVDMNumberingScheme

public interface IDfVDMNumberingScheme
This interface provides functionality used to manage hierarchy numbers for virtual documents displayed in the Virtual Document Manager.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getNodeNumber(IDfVirtualDocumentNode node)`
  Returns the hierarchy number of a virtual document component.
  `String`
  `getStartingNumber()`
  Returns the starting number in the hierarchy numbering scheme.
  `void`
  `setStartingNumber(String startingNumber)`
  Sets the starting number in the numbering scheme for the virtual document hierarchy.

- ## Method Details

  - ### getNodeNumber

    String getNodeNumber(IDfVirtualDocumentNode node) throws DfException
    Returns the hierarchy number of a virtual document component.

    The hierarchy numbers are the numbers displayed with the components that indicate the component's position in the hierarchy. For example, if the top-most containing document contains two components, their default hierarchy numbers would be 1 and 2. If component 1 is a virtual document and has a component, that component's default hierarchy number is 1.1.

    For more information about the Virtual Document Manager and how it displays virtual documents, refer to Documentum client documentation.
    Parameters:
      `node` - An IDfVirtualDocumentNode object representing the component
    Throws:
      `DfException` - if the server returns an error

  - ### setStartingNumber

    void setStartingNumber(String startingNumber)
    Sets the starting number in the numbering scheme for the virtual document hierarchy.

    The hierarchy numbers are the numbers displayed with the components that indicate the component's position in the hierarchy. For example, if the top-most containing document contains two components, their default hierarchy numbers would be 1 and 2. If component 1 is a virtual document and has a component, that component's default hierarchy number is 1.1.

    Parameters:
      `startingNumber` - Set this to the number that is the first number in your numbering scheme for the virtual document.

  - ### getStartingNumber

    String getStartingNumber()
    Returns the starting number in the hierarchy numbering scheme.

    The hierarchy numbers are the numbers displayed with the components that indicate the component's position in the hierarchy. For example, if the top-most containing document contains two components, their default hierarchy numbers would be 1 and 2. If component 1 is a virtual document and has a component, that component's default hierarchy number is 1.1.

    Returns:
      The first number in the hierarchy numbering scheme